Package Details: python-gino 1.0.0-1

Git Clone URL: https://aur.archlinux.org/python-gino.git (read-only, click to copy)
Package Base: python-gino
Description: GINO - GINO Is Not ORM - is a lightweight asynchronous ORM built on top of SQLAlchemy core for Python asyncio. Now (early 2020) GINO supports only one dialect asyncpg.
Upstream URL: https://python-gino.org/
Keywords: asyncio gino python
Licenses: BSD
Submitter: tonybenoy
Maintainer: tonybenoy
Last Packager: tonybenoy
Votes: 2
Popularity: 0.36
First Submitted: 2020-02-26 09:25
Last Updated: 2020-05-11 15:43

Latest Comments

tonybenoy commented on 2020-04-22 21:07

@evgfilim1 Thanks! I've added the same and also bumped the version. Also have added this to Aur https://aur.archlinux.org/packages/python-aiocontextvars/ .

evgfilim1 commented on 2020-04-22 08:13

@tonybenoy thanks. python-aiocontextvars is not an optional dependency:

~> python
Python 3.8.2 (default, Apr  8 2020, 14:31:25) 
[GCC 9.3.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from gino import Gino
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.8/site-packages/gino/__init__.py", line 2, in <module>
    from .engine import GinoEngine, GinoConnection  # NOQA
  File "/usr/lib/python3.8/site-packages/gino/engine.py", line 7, in <module>
    from aiocontextvars import ContextVar
ModuleNotFoundError: No module named 'aiocontextvars'

tonybenoy commented on 2020-04-14 10:30

@evgfilim1 fixed the dependencies. I think python-aiocontextvars is an optional dependency.

evgfilim1 commented on 2020-04-12 10:25

Missing dependencies: